<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<title>AdminLTE 3 | Blank Page</title>

		<!-- Google Font: Source Sans Pro -->
		<link
			rel="stylesheet"
			href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback"
		/>
		<!-- Font Awesome -->
		<link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css" />
		<!-- Theme style -->
		<link rel="stylesheet" href="dist/css/adminlte.min.css" />

		    <!-- Select2 -->
			<link rel="stylesheet" href="plugins/select2/css/select2.min.css" />
			<link
			  rel="stylesheet"
			  href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css"
			/>

			<link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
	</head>
	<body class="hold-transition sidebar-mini">
		<!-- Site wrapper -->
		<div class="wrapper">
			<!-- Navbar -->
			<nav class="main-header navbar navbar-expand navbar-white navbar-light">
				<!-- Left navbar links -->
				<ul class="navbar-nav">
					<li class="nav-item">
						<a class="nav-link" data-widget="pushmenu" href="#" role="button"
							><i class="fas fa-bars"></i
						></a>
					</li>
					<li class="nav-item d-none d-sm-inline-block">
						<a href="index3.html" class="nav-link">Home</a>
					</li>
				</ul>

				<!-- Right navbar links -->
				<ul class="navbar-nav ml-auto">
					<!-- Navbar Search -->
					<li class="nav-item">
						<a
							class="nav-link"
							data-widget="navbar-search"
							href="#"
							role="button"
						>
							<i class="fas fa-search"></i>
						</a>
						<div class="navbar-search-block">
							<form class="form-inline">
								<div class="input-group input-group-sm">
									<input
										class="form-control form-control-navbar"
										type="search"
										placeholder="Search"
										aria-label="Search"
									/>
									<div class="input-group-append">
										<button class="btn btn-navbar" type="submit">
											<i class="fas fa-search"></i>
										</button>
										<button
											class="btn btn-navbar"
											type="button"
											data-widget="navbar-search"
										>
											<i class="fas fa-times"></i>
										</button>
									</div>
								</div>
							</form>
						</div>
					</li>

					<!-- Messages Dropdown Menu -->
					<li class="nav-item dropdown">
						<a class="nav-link" data-toggle="dropdown" href="#">
							<i class="far fa-comments"></i>
							<span class="badge badge-danger navbar-badge">3</span>
						</a>
						<div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
							<a href="#" class="dropdown-item">
								<!-- Message Start -->
								<div class="media">
									<img
										src="dist/img/user1-128x128.jpg"
										alt="User Avatar"
										class="img-size-50 mr-3 img-circle"
									/>
									<div class="media-body">
										<h3 class="dropdown-item-title">
											Brad Diesel
											<span class="float-right text-sm text-danger"
												><i class="fas fa-star"></i
											></span>
										</h3>
										<p class="text-sm">Call me whenever you can...</p>
										<p class="text-sm text-muted">
											<i class="far fa-clock mr-1"></i> 4 Hours Ago
										</p>
									</div>
								</div>
								<!-- Message End -->
							</a>
							<div class="dropdown-divider"></div>
							<a href="#" class="dropdown-item">
								<!-- Message Start -->
								<div class="media">
									<img
										src="dist/img/user8-128x128.jpg"
										alt="User Avatar"
										class="img-size-50 img-circle mr-3"
									/>
									<div class="media-body">
										<h3 class="dropdown-item-title">
											John Pierce
											<span class="float-right text-sm text-muted"
												><i class="fas fa-star"></i
											></span>
										</h3>
										<p class="text-sm">I got your message bro</p>
										<p class="text-sm text-muted">
											<i class="far fa-clock mr-1"></i> 4 Hours Ago
										</p>
									</div>
								</div>
								<!-- Message End -->
							</a>
							<div class="dropdown-divider"></div>
							<a href="#" class="dropdown-item">
								<!-- Message Start -->
								<div class="media">
									<img
										src="dist/img/user3-128x128.jpg"
										alt="User Avatar"
										class="img-size-50 img-circle mr-3"
									/>
									<div class="media-body">
										<h3 class="dropdown-item-title">
											Nora Silvester
											<span class="float-right text-sm text-warning"
												><i class="fas fa-star"></i
											></span>
										</h3>
										<p class="text-sm">The subject goes here</p>
										<p class="text-sm text-muted">
											<i class="far fa-clock mr-1"></i> 4 Hours Ago
										</p>
									</div>
								</div>
								<!-- Message End -->
							</a>
							<div class="dropdown-divider"></div>
							<a href="#" class="dropdown-item dropdown-footer"
								>See All Messages</a
							>
						</div>
					</li>
					<!-- Notifications Dropdown Menu -->
					<li class="nav-item dropdown">
						<a class="nav-link" data-toggle="dropdown" href="#">
							<i class="far fa-bell"></i>
							<span class="badge badge-warning navbar-badge">15</span>
						</a>
						<div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
							<span class="dropdown-item dropdown-header"
								>15 Notifications</span
							>
							<div class="dropdown-divider"></div>
							<a href="#" class="dropdown-item">
								<i class="fas fa-envelope mr-2"></i> 4 new messages
								<span class="float-right text-muted text-sm">3 mins</span>
							</a>
							<div class="dropdown-divider"></div>
							<a href="#" class="dropdown-item">
								<i class="fas fa-users mr-2"></i> 8 friend requests
								<span class="float-right text-muted text-sm">12 hours</span>
							</a>
							<div class="dropdown-divider"></div>
							<a href="#" class="dropdown-item">
								<i class="fas fa-file mr-2"></i> 3 new reports
								<span class="float-right text-muted text-sm">2 days</span>
							</a>
							<div class="dropdown-divider"></div>
							<a href="#" class="dropdown-item dropdown-footer"
								>See All Notifications</a
							>
						</div>
					</li>
					<li class="nav-item">
						<a class="nav-link" data-widget="fullscreen" href="#" role="button">
							<i class="fas fa-expand-arrows-alt"></i>
						</a>
					</li>
					<li class="nav-item">
						<a
							class="nav-link"
							data-widget="control-sidebar"
							data-slide="true"
							href="#"
							role="button"
						>
							<i class="fas fa-th-large"></i>
						</a>
					</li>
				</ul>
			</nav>
			<!-- /.navbar -->

			<!-- Main Sidebar Container -->
			<aside class="main-sidebar sidebar-dark-primary elevation-4">
				<!-- Brand Logo -->
				<a href="index3.html" class="brand-link">
					<img
						src="dist/img/AdminLTELogo.png"
						alt="AdminLTE Logo"
						class="brand-image img-circle elevation-3"
						style="opacity: 0.8"
					/>
					<span class="brand-text font-weight-light">Quản lý bảng điểm</span>
				</a>

				<!-- Sidebar -->
				<div class="sidebar">
					<!-- Sidebar user (optional) -->
					<div class="user-panel mt-3 pb-3 mb-3 d-flex">
						<div class="image">
							<img
								src="dist/img/user2-160x160.jpg"
								class="img-circle elevation-2"
								alt="User Image"
							/>
						</div>
						<div class="info">
							<a href="#" class="d-block">Cuongnq</a>
						</div>
					</div>

					<!-- SidebarSearch Form -->
					<div class="form-inline">
						<div class="input-group" data-widget="sidebar-search">
							<input
								class="form-control form-control-sidebar"
								type="search"
								placeholder="Search"
								aria-label="Search"
							/>
							<div class="input-group-append">
								<button class="btn btn-sidebar">
									<i class="fas fa-search fa-fw"></i>
								</button>
							</div>
						</div>
					</div>

					<!-- Sidebar Menu -->
					<nav class="mt-2">
						<ul
							class="nav nav-pills nav-sidebar flex-column"
							data-widget="treeview"
							role="menu"
							data-accordion="false"
						>
							<!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
							<li class="nav-item menu-open">
								<a href="#" class="nav-link active">
									<i class="nav-icon fas fa-tachometer-alt"></i>
									<p>
										advance form and chart
										<i class="right fas fa-angle-left"></i>
									</p>
								</a>
								<ul class="nav nav-treeview">
									<li class="nav-item">
										<a href="index.html" class="nav-link">
											<i class="far fa-circle nav-icon"></i>
											<p>Chart js</p>
										</a>
									</li>
									<li class="nav-item">
										<a href="index2.html" class="nav-link">
											<i class="far fa-circle nav-icon"></i>
											<p>Select 2</p>
										</a>
									</li>
									<li class="nav-item">
										<a href="index3.html" class="nav-link">
											<i class="far fa-circle nav-icon"></i>
											<p>datetime picker</p>
										</a>
									</li>
								</ul>
							</li>
						</ul>
					</nav>
					<!-- /.sidebar-menu -->
				</div>
				<!-- /.sidebar -->
			</aside>

			<!-- Content Wrapper. Contains page content -->
			<div class="content-wrapper">
				<!-- Content Header (Page header) -->
				<section class="content-header">
					<div class="container-fluid">
						<div class="row mb-2">
							<div class="col-sm-6">
								<h1>Blank Page</h1>
							</div>
							<div class="col-sm-6">
								<ol class="breadcrumb float-sm-right">
									<li class="breadcrumb-item"><a href="#">Home</a></li>
									<li class="breadcrumb-item active">Blank Page</li>
								</ol>
							</div>
						</div>
					</div>
					<!-- /.container-fluid -->
				</section>

				<!-- Main content -->
				<section class="content">
					<div class="container">
						<div class="text-center mt-0 mb-0">
						  <h2>F200 - LỊCH SỬ HỌC TẬP</h2>
						</div>
						<div class="jumbotron container">
						  <div class="row"><h3>Thông tin Student</h3></div>
						  <div class="row form-group d-flex mt-4">
							<div class="col-sm-5">
							  <div class="row">
								<div class="col-sm-4">
								  <label for="student">Student</label>
								</div>
								<div class="col-sm-8">
									<select class="form-control select2 gStudentSelect" style="width: 100%" id="gstudent" >
										
									  </select>
								</div>
							  </div>
							</div>
							<div class="col-sm-5">
							  <div class="row">
								<div class="col-sm-4">
								  <label for="subject">Môn học</label>
								</div>
								<div class="col-sm-8">
									<select class="form-control select2 gsubjectSelect" style="width: 100%"  id="gsubject">
										
									</select>

								</div>
							  </div>
							</div>
							<div class="col-sm-2">
							  <button id="btn-filter-student" class="btn btn-info">Lọc dữ liệu</button>
							</div>
						  </div>
					  </div>
					  <div class="form-group">
						<button class="btn btn-success" id="btn-add-user">
							<i class="fa fa-plus"></i>&nbsp; Thêm user
						</button>
					</div>
					  
					  <div class="container">
						<table class="table table-bordered table-striped table-hover" id="user-table">
						  <thead>
							<tr>
							  <th>STT</th>
							  <th>Student</th>
							  <th>Môn học</th>
							  <th>Điểm</th>
							  <th>Ngày thi</th>
							  <th>Action</th>
							</tr>
						  </thead>
						</table>
					  </div>
					  		<!-- Create  modal -->
		<div>
			<div id="create-user-modal" class="modal fade" tabindex="-1">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<h5 class="modal-title" id="h5-modal-title">Thêm</h5>
							<button class="close" data-dismiss="modal">&times;</button>
						</div>
						<div class="modal-body">
							<form>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-create-voucher-code">studentId</label>
									</div>
									<div class="col-sm-8">
										<select class="form-control select2 gStudentSelect" style="width: 100%" id="input-create-studentId">
										
										</select>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-create-discount">subjectId</label>
									</div>
									<div class="col-sm-8">
										<select class="form-control select2 gsubjectSelect" style="width: 100%" id="input-create-subjectId" >
										
										</select>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-create-discount">grade</label>
									</div>
									<div class="col-sm-8">
										<input
											type="text"
											id="input-create-grade"
											name="grade"
											placeholder="grade"
											class="form-control"
										/>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-create-discount">examDate</label>
									</div>
									<div class="col-sm-8">
										<input
											type="text"
											id="input-create-examDate"
											name="examDate"
											placeholder="examDate"
											class="form-control"
										/>
									</div>
								</div>
							</form>
						</div>
						<div class="modal-footer">
							<button class="btn btn-success" id="btn-create-user">
								Insert
							</button>

							<button
								class="btn btn-secondary"
								id="btn-create-cancel"
								data-dismiss="modal"
							>
								Hủy bỏ
							</button>
						</div>
					</div>
				</div>
			</div>
		</div>
				  		<!-- Update  modal -->
		<div>
			<div id="update-user-modal" class="modal fade" tabindex="-1">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<h5 class="modal-title" id="h5-modal-title">Chi tiết </h5>
							<button class="close" data-dismiss="modal">&times;</button>
						</div>
						<div class="modal-body">
							<form>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-create-voucher-code">studentId</label>
									</div>
									<div class="col-sm-8">
										<select class="form-control select2 gStudentSelect" style="width: 100%" id="input-update-studentId">
										
										</select>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-update-discount">subjectId</label>
									</div>
									<div class="col-sm-8">
										<select class="form-control select2 gsubjectSelect" style="width: 100%" id="input-create-subjectId" >
										
										</select>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-create-discount">grade</label>
									</div>
									<div class="col-sm-8">
										<input
											type="text"
											id="input-update-grade"
											name="grade"
											placeholder="grade"
											class="form-control"
										/>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-create-discount">examDate</label>
									</div>
									<div class="col-sm-8">
										<input
											type="text"
											id="input-update-examDate"
											name="examDate"
											placeholder="examDate"
											class="form-control"
										/>
									</div>
								</div>

							</form>
						</div>
						<div class="modal-footer">
							<button class="btn btn-success" id="btn-update-user">
								Update
							</button>

							<button
								class="btn btn-secondary"
								id="btn-update-cancel"
								data-dismiss="modal"
							>
								Hủy bỏ
							</button>
						</div>
					</div>
				</div>
			</div>
		</div>
				<!-- Delete confirm modal -->
				<div>
					<div class="modal fade" tabindex="-1" id="delete-confirm-modal">
						<div class="modal-dialog">
							<div class="modal-content">
								<div class="modal-header">
									<h5 class="modal-title" id="h5-modal-title">
										User Delete Confirmation
									</h5>
									<button class="close" data-dismiss="modal">&times;</button>
								</div>
								<div class="modal-body">
									<label>Bạn có chắc chắn muốn xóa user này không?</label>
								</div>
								<div class="modal-footer">
									<button class="btn btn-danger" id="btn-confirm-delete-user">
										Confirm
									</button>
									<button class="btn btn-secondary" data-dismiss="modal">
										Cancel
									</button>
								</div>
							</div>
						</div>
					</div>
				</div>
				</section>
				<!-- /.content -->
			</div>
			<!-- /.content-wrapper -->

			<footer class="main-footer">
				<div class="float-right d-none d-sm-block"><b>Version</b> 3.2.0</div>
				<strong
					>Copyright &copy; 2014-2021
					<a href="https://adminlte.io">AdminLTE.io</a>.</strong
				>
				All rights reserved.
			</footer>

			<!-- Control Sidebar -->
			<aside class="control-sidebar control-sidebar-dark">
				<!-- Control sidebar content goes here -->
			</aside>
			<!-- /.control-sidebar -->
		</div>
		<!-- ./wrapper -->

		<!-- jQuery -->
		<script src="plugins/jquery/jquery.min.js"></script>
		<!-- Bootstrap 4 -->
		<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
		    <!-- Select2 -->
		<script src="plugins/select2/js/select2.full.min.js"></script>

		<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
		<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
		<!-- AdminLTE App -->
		<script src="dist/js/adminlte.min.js"></script>
		<script>
		 $(function () {
        //Initialize Select2 Elements
        $(".select2").select2();

        //Initialize Select2 Elements
        $(".select2").select2({
          theme: "bootstrap4",
        });})

		var gStt=1;
		var gStudents = [];
		var gSubjects = [];
		var gUserId = 0;
		
		onPageLoading();

		var gUserTable = $('#user-table').DataTable({
        columns: [
            { data: 'id' },
            { data: 'studentId' },
            { data: 'subjectId' },
            { data: 'grade' },
            { data: 'examDate' },
			{ data: 'action' },
        ],
        columnDefs: [
        { targets: 0,
          
         render: function(data) {
          return gStt++;
         }},
         { targets: 1,
          
          render: studentIdToStudent
          },
          { targets: 2,
          
          render: subjectIdToSubject
          },
		  { targets: 5,
          
			defaultContent: `<button class="edit-user" ><i class="fas fa-pen"></i></button> <button class="ml-2 delete-user" ><i class="fas fa-trash"></i></button>`
          },
          ]
          });


		function onPageLoading() {
			gStt=1;
      "use strict";
	  $.ajax({
        url:  "https://62454a477701ec8f724fb923.mockapi.io/api/v1/grades",
        type: "GET",
        dataType: 'json',
        success: function(responseObject){
          //debugger;
          loadDataToTable(responseObject);
        },
        error: function(error){
          console.assert(error.responseText);
        }
      });

	  $.ajax({
        url:  "https://62454a477701ec8f724fb923.mockapi.io/api/v1/students",
        type: "GET",
        dataType: 'json',
		async: false,
        success: function(responseObject){
          //debugger;
          gStudents = responseObject;
		  
        },
        error: function(error){
          console.assert(error.responseText);
        }
      });

	  $.ajax({
        url:  "https://62454a477701ec8f724fb923.mockapi.io/api/v1/subjects",
        type: "GET",
        dataType: 'json',
		async: false,
        success: function(responseObject){
          //debugger;
		  gSubjects = responseObject;
        },
        error: function(error){
          console.assert(error.responseText);
        }
      });


          loadStudentToSelect(gStudents);
          loadSubjectToSelect(gSubjects);
        } 
		function loadStudentToSelect(paramData) {
      $(".gStudentSelect").append($("<option>", {
        value: 0,
        text: "--chon Student--"
      }))

      for(var bI = 0 ; bI < paramData.length;bI++){
        $(".gStudentSelect").append($("<option>", {
        value: paramData[bI].id,
        text: paramData[bI].firstname + " " + paramData[bI].lastname
      }))
      }
    	}

		function loadSubjectToSelect(paramData) {
      $(".gsubjectSelect").append($("<option>", {
        value: 0,
        text: "--chon Subject--"
      }))

      for(var bI = 0 ; bI < paramData.length;bI++){
        $(".gsubjectSelect").append($("<option>", {
        value: paramData[bI].id,
        text: paramData[bI].subjectName
      }))
      }
    	}
		    // load data to table
			function loadDataToTable(paramResponseObject) {
      //Xóa toàn bộ dữ liệu đang có của bảng
      gUserTable.clear();
      //Cập nhật data cho bảng 
      gUserTable.rows.add(paramResponseObject);
      //Cập nhật lại giao diện hiển thị bảng
      gUserTable.draw();
    }
	function studentIdToStudent(paramData){
          var vStudent = "";
          for(var bI = 0; bI < gStudents.length;bI++){
            if(paramData == gStudents[bI].id){
              vStudent =  (gStudents[bI].firstname+ " " + gStudents[bI].lastname);
            }
          }

          return vStudent;
        }
        function subjectIdToSubject(paramData){
          var vSubject = "";
          for(var bI = 0; bI < gSubjects.length;bI++){
            if(paramData == gSubjects[bI].id){
              vSubject = (gSubjects[bI].subjectName);
            }
          }
           return vSubject
        }

			// 2 - C: gán sự kiện Create - Thêm mới user
			$('#btn-add-user').on('click', function () {
				onBtnAddNewUserClick();
			});

			
			// gán sự kiện cho nút Create user (trên modal)
			$('#btn-create-user').on('click', function () {
				onBtnCreateUserClick();
			});

			function onBtnAddNewUserClick() {
			// hiển thị modal trắng lên
			$('#create-user-modal').modal('show');
		}		


		function onBtnCreateUserClick() {
			// khai báo đối tượng chứa voucher data
			var vGradeObj = {
				studentId: '',
				subjectId: '',
				grade: '',
				examDate: '',

			};
			// B1: Thu thập dữ liệu
			getCreateUserData(vGradeObj);
			// B2: Validate insert
			var vIsUserValidate = validateUserData(vGradeObj);
			if (vIsUserValidate) {
				// B3: insert voucher
				$.ajax({
					url: "https://62454a477701ec8f724fb923.mockapi.io/api/v1/grades",
					type: 'POST',
					contentType: 'application/json;charset=UTF-8',
					data: JSON.stringify(vGradeObj),
					success: function (paramRes) {
						// B4: xử lý front-end
						handleInsertUserSuccess();
					},
					error: function (paramErr) {
						console.log(paramErr.status);
					},
				});
			}
		}

		function getCreateUserData(paramUserObj) {
			paramUserObj.studentId = $('#input-create-studentId').val();
			paramUserObj.subjectId = $('#input-create-subjectId').val();
			paramUserObj.grade = $('#input-create-grade').val().trim();
			paramUserObj.examDate = $('#input-create-examDate').val().trim();
		}

				// hàm validate data
				function validateUserData(paramUserObj) {
			if (paramUserObj.studentId === '') {
				alert('studentId cần nhập');
				return false;
			}
			if (paramUserObj.subjectId === '') {
				alert('subjectId cần nhập');
				return false;
			}
			if (paramUserObj.grade === '') {
				alert('grade cần nhập');
				return false;
			}

			if (paramUserObj.examDate === '') {
				alert('examDate cần nhập');
				return false;
			}
			return true;
		}
		function handleInsertUserSuccess() {

			alert('Thêm user thành công!');
			resertCreateUserForm();
			$('#create-user-modal').modal('hide');
			onPageLoading();
		}

		function resertCreateUserForm() {
			$('#input-create-studentId').val('');
			$('#input-create-subjectId').val('');
			$('#input-create-grade').val('');
			$('#input-create-examDate').val('');
		}

		$('#user-table').on('click', '.edit-user', function () {
				onBtnEditVoucherClick(this);
			});

			function onBtnEditVoucherClick(paramBtnEdit) {
			// lưu thông tin voucherId đang được edit vào biến toàn cục
			gUserId = getUserIdFromButton(paramBtnEdit);
			// load dữ liệu vào các trường dữ liệu trong modal
			getUserById(gUserId);
		}	

		function getUserIdFromButton(paramButton) {
			var vTableRow = $(paramButton).parents('tr');
			var vUserRowData = gUserTable.row(vTableRow).data();
			return vUserRowData.id;
		}

		function getUserById(paramVoucherId) {
			$.ajax({
				url: "https://62454a477701ec8f724fb923.mockapi.io/api/v1/grades/" + paramVoucherId,
				type: 'GET',

				success: function (paramVoucher) {
					showUserDataToModal(paramVoucher);
				},
				error: function (paramErr) {
					console.log(paramErr.status);
				},
			});
			// hiển thị modal lên
			$('#update-user-modal').modal('show');
		}

		function showUserDataToModal(paramVoucher) {
			$('#input-update-studentId').val(paramVoucher.studentId);
			$('#input-update-subjectId').val(paramVoucher.subjectId);
			$('#input-update-grade').val(paramVoucher.grade);
			$('#input-update-examDate').val(paramVoucher.examDate);
		}

		
		$('#btn-update-user').on('click', function () {
				onBtnUpdateUserClick();
			});

			function onBtnUpdateUserClick() {
			// khai báo đối tượng chứa voucher data
			var vGradeObj = {
				studentId: '',
				subjectId: '',
				grade: '',
				examDate: '',

			};
			// B1: Thu thập dữ liệu
			getUpdateUserData(vGradeObj);
			// B2: Validate insert
			var vIsUserValidate = validateUserData(vGradeObj);
			if (vIsUserValidate) {
				// B3: insert voucher
				$.ajax({
					url:  "https://62454a477701ec8f724fb923.mockapi.io/api/v1/grades/" + gUserId,
					type: 'PUT',
					contentType: 'application/json;charset=UTF-8',
					data: JSON.stringify(vGradeObj),
					success: function (paramRes) {
						// B4: xử lý front-end
						handleUpdateUserSuccess();
					},
					error: function (paramErr) {
						console.log(paramErr.status);
					},
				});
			}
		}	

		function getUpdateUserData(paramUserObj) {
			paramUserObj.studentId = $('#input-update-studentId').val();
			paramUserObj.subjectId = $('#input-update-subjectId').val();
			paramUserObj.grade = $('#input-update-grade').val().trim();
			paramUserObj.examDate = $('#input-update-examDate').val().trim();
		}

			function handleUpdateUserSuccess() {

				alert('update user thành công!');
				resertUpdateUserForm();
				$('#update-user-modal').modal('hide');
				onPageLoading();
			}

			function resertUpdateUserForm() {
				$('#input-update-studentId').val('');
				$('#input-update-subjectId').val('');
				$('#input-update-grade').val('');
				$('#input-update-examDate').val('');
			}

			$('#user-table').on('click', '.delete-user', function () {
				onBtnDeleteVoucherClick(this);
			});

			$('#btn-confirm-delete-user').on('click', function () {
				onBtnDeleteUserClick();
			});

			function onBtnDeleteVoucherClick(paramBtnEdit) {
			// lưu thông tin voucherId đang được edit vào biến toàn cục
			gUserId = getUserIdFromButton(paramBtnEdit);
			$('#delete-confirm-modal').modal('show');
		}

		function onBtnDeleteUserClick() {
			// khai báo đối tượng chứa voucher data
			// B1: Thu thập dữ liệu
			// B2: Validate insert
			// B3: insert voucher
			$.ajax({
				url:"https://62454a477701ec8f724fb923.mockapi.io/api/v1/grades/" + gUserId,
				type: 'DELETE',
				contentType: 'application/json;charset=UTF-8',
				success: function (paramRes) {
					// B4: xử lý front-end
					handleDeleteUserSuccess();
				},
				error: function (paramErr) {
					console.log(paramErr.status);
				},
			});
		}

				// hàm xử lý hiển thị front-end khi sửa user thành công
				function handleDeleteUserSuccess() {
			alert('xóa  thành công!');
			$('#delete-confirm-modal').modal('hide');
			onPageLoading();
		}


		$("#btn-filter-student").on("click",function() {
              onBtnFilterClick()
            });


			function onBtnFilterClick(){
            var vFilterObj = {
              studentId: 0,
              subjectId: 0
            }

            getDataFilterObj(vFilterObj);
            var vFilter = filterData(vFilterObj);
            console.log(vFilter)
            displayToTable(vFilter)
          }
		  
		  
		  function getDataFilterObj(paramData){
        paramData.studentId = $("#gstudent").val();
        paramData.subjectId = $("#gsubject").val();
      }


      function filterData(paramData){
            var vResult = [];
			var vGrades = [];
						$.ajax({
					url:  "https://62454a477701ec8f724fb923.mockapi.io/api/v1/grades",
					type: "GET",
					dataType: 'json',
					async: false,
					success: function(responseObject){
					//debugger;
					vGrades = responseObject;
					},
					error: function(error){
					console.assert(error.responseText);
					}
				});
            vResult = vGrades.filter(function(item) {
              return ((item.studentId == paramData.studentId || paramData.studentId == "") && (item.subjectId == paramData.subjectId))
            });
            return vResult;
          }

          
			function displayToTable(paramData) {
				gStt = 1;
				gUserTable.clear();
				gUserTable.rows.add(paramData);
				gUserTable.draw();
			}
		</script>
	</body>
</html>
